Summary:       A library for access to RESTful web services
Name:          rest0.7
Version:       0.8.1
Release:       4%{?dist}
License:       LGPLv2
URL:           http://www.gnome.org
Source0:       http://download.gnome.org/sources/rest/0.8/rest-%{version}.tar.xz
Patch3000:     rest-0.8.0-fix-the-XML-test.patch

BuildRequires: make autoconf automake libtool
BuildRequires: glib2-devel gobject-introspection-devel libsoup-devel libxml2-devel gtk-doc

%description
This library makes it easier to access web services that claim to be RESTful. It simplifies 
the request by providing a wrapper for libsoup and AIDS in XML parsing by wrapping libxml2.

This package contains librest API version 0.7.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package include files for development with librest API version 0.7.

%prep
%autosetup -p1 -n rest-%{version}

%build
autoreconf -vif
%configure --disable-static --enable-gtk-doc --enable-introspection=yes

%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%files
%license COPYING
%doc AUTHORS README
%{_libdir}/librest-0.7.so.0
%{_libdir}/librest-0.7.so.0.0.0
%{_libdir}/librest-extras-0.7.so.0
%{_libdir}/librest-extras-0.7.so.0.0.0
%{_libdir}/girepository-1.0/Rest-0.7.typelib
%{_libdir}/girepository-1.0/RestExtras-0.7.typelib

%files devel
%{_includedir}/rest-0.7
%{_libdir}/pkgconfig/rest*
%{_libdir}/librest-0.7.so
%{_libdir}/librest-extras-0.7.so
%{_datadir}/gtk-doc/html/rest*0.7
%{_datadir}/gir-1.0/Rest-0.7.gir
%{_datadir}/gir-1.0/RestExtras-0.7.gir

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Wang Guodong <gordonwwang@tencent.com> - 0.8.1-1
- package init.
